Bug 1025367 - Review Request: python-requests-oauthlib - OAuthlib authentication support for Requests.
Review Request: python-requests-oauthlib - OAuthlib authentication support fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
: Reopened
Depends On: 1025299
Blocks: 1025368 1025601
  Show dependency treegraph
 
Reported: 2013-10-31 10:43 EDT by Ralph Bean
Modified: 2014-01-22 21:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 21:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-10-31 10:43:45 EDT
Spec URL: http://ralph.fedorapeople.org//python-requests-oauthlib.spec
SRPM URL: http://ralph.fedorapeople.org//python-requests-oauthlib-0.4.0-1.fc19.src.rpm

Description:
This project provides first-class OAuth library support for python-request.
Comment 1 Pierre-YvesChibon 2013-10-31 17:57:16 EDT
* Spec is clean
* License is clean and is BSD
* Builds fine on F-19 x86_64
* Content is clean
* Upstream source:
c86bcc7f5773dede54ee1eb6f606313296ee1ad9  requests-oauthlib-0.4.0.tar.gz

* srpm source:
c86bcc7f5773dede54ee1eb6f606313296ee1ad9  python-requests-oauthlib-0.4.0-1.fc19.src/requests-oauthlib-0.4.0.tar.gz

* No bundling seen

* rpmlint is almost clean
python-requests-oauthlib.noarch: E: explicit-lib-dependency python-oauthlib
python-requests-oauthlib.noarch: W: summary-ended-with-dot C OAuthlib authentication support for Requests.
python-requests-oauthlib.src: W: summary-ended-with-dot C OAuthlib authentication support for Requests.
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

You may want to correct this before importing the package

Note: there are no python version supported specified, so you might want to test it on python 2.6 before considering if you want an epel6 branch or not.

Note2: is the requirements.txt really of interest as a %doc?

Otherwise looks good to me!

This package is APPROVED
Comment 2 Mario Blättermann 2013-11-01 05:17:45 EDT
Python macros have changed recently:
%{__python} > %{__python2}
See https://fedoraproject.org/wiki/Packaging:Python#Macros.

Even %{python2_sitelib} instead of %{python_sitelib} is available (not for EPEL), although not mentioned in the guidelines.
Comment 3 Ralph Bean 2013-11-01 09:45:39 EDT
Updated the rpm macros as per Mario's suggestion.

Spec URL:  http://threebean.org/rpm/python-requests-oauthlib.spec
SRPM URL:  http://threebean.org/rpm/python-requests-oauthlib-0.4.0-2.fc19.src.rpm
Comment 4 Ralph Bean 2013-11-01 09:46:34 EDT
New Package SCM Request
=======================
Package Name: python-requests-oauthlib
Short Description: OAuthlib authentication support for Requests
Owners: ralph
Branches: f20 f19 f18
InitialCC:
Comment 5 Gwyn Ciesla 2013-11-01 10:33:03 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-01 12:31:15 EDT
python-requests-oauthlib-0.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-requests-oauthlib-0.4.0-2.fc20
Comment 7 Fedora Update System 2013-11-01 12:31:52 EDT
python-requests-oauthlib-0.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-requests-oauthlib-0.4.0-2.fc19
Comment 8 Fedora Update System 2013-11-01 12:32:26 EDT
python-requests-oauthlib-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-requests-oauthlib-0.4.0-2.fc18
Comment 9 Fedora Update System 2013-11-18 16:06:18 EST
python-requests-oauthlib-0.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2013-11-19 00:26:55 EST
python-requests-oauthlib-0.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-11-19 00:28:46 EST
python-requests-oauthlib-0.4.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Mario Blättermann 2013-11-25 15:20:17 EST
Packages are now in the stable repos, so we can close this bug.
Comment 13 Ralph Bean 2014-01-19 09:44:04 EST
I'd like to branch this for epel.  I am the current Fedora maintainer.

Package Change Request
======================
Package Name: python-requests-oauthlib
New Branches: el6 epel7
Owners: ralph
Comment 14 Ralph Bean 2014-01-19 09:45:36 EST
Modifying the request to add puiterwijk as an owner



Package Change Request
======================
Package Name: python-requests-oauthlib
New Branches: el6 epel7
Owners: ralph puiterwijk
Comment 15 Gwyn Ciesla 2014-01-21 09:03:48 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.